### Method

# Ide Pipeline attach_launcher

#### Declaration

    guint
    ide_pipeline_attach_launcher (
      IdePipeline* self,
      IdePipelinePhase phase,
      gint priority,
      IdeSubprocessLauncher* launcher
    )

#### Description

This creates a new stage that will spawn a process using `launcher` and log the output of stdin/stdout.

It is a programmer error to modify `launcher` after passing it to this function.

Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| An `IdePipelinePhase`.
`priority` | `gint`
| An optional priority for sorting within the phase.
`launcher` | `IdeSubprocessLauncher`
| An `IdeSubprocessLauncher`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `guint`
| A stage_id that may be passed to ide_pipeline_remove().